%define modname     ReportLab

Name:               python-%{modname}
Summary:            Open Source PDF library for Python
Version:            2.1 
Release:            1
Source:             %{modname}_%(echo %{version} | sed s/\\./_/g).tgz
License:            BSD-like
Group:              Development/Libraries/Python
Url:                http://www.reportlab.org/
BuildRoot:          %{_tmppath}/%{name}-buildroot
Prefix:             %{_prefix}
BuildRequires:  python-devel

%description
The ReportLab Open Source PDF library is a proven industry-strength PDF
generating solution, that you can use for meeting your requirements and
deadlines in enterprise reporting systems. 

Our free Open Source PDF library is suitable for web publishers, developers or
creative design professionals who need to quickly and easily create or
automate complex (even data-driven) documents. It lets you create professional
documents programmatically without being locked into one special technology
and/or platform. It has grown over years in response to the real-world
requirements of large financial institutions' reporting needs, making it the
trusted proven foundation of existing enterprise solutions rather than a just
a fancy gimmick or interesting library.

This library implements a flexible layout engine named Platypus that builds
documents from components like headlines, paragraphs, fonts, tables, bitmap
images, vector graphics, etc. These flowable elements are placed in a document
"story" following a set of templates for frames, pages and the entire document
itself. In addition to the standard 14 PostScript fonts there is full support
for custom embedded Type-1 as well as for Asian fonts. The included graphics
subpackage provides a set of primitive shapes as well as reusable widgets
building on them. Among the sample collections is a very useful set of
business chart diagrams, including bar charts, line charts and pie charts.
Different renderers can be used to create vector graphics (in fact, even full
document pages) as individual components not only in PDF, but also in EPS and
in a variety of bitmap formats including JPEG, PNG, GIF, BMP and PICT.

Authors:
--------
    ReportLab Inc. <http://www.reportlab.com>

%prep
%setup -q -n reportlab_2_1/reportlab

%build
python setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
find %{buildroot} -name "*pyc" -exec rm {} \;
sed -i '/pyc$/d' INSTALLED_FILES

install -d $RPM_BUILD_ROOT/usr/bin
chmod 0755 $RPM_BUILD_ROOT%{py_sitedir}/reportlab/tools/pythonpoint/pythonpoint.py
ln -sf ../..%{py_sitedir}/reportlab/tools/pythonpoint/pythonpoint.py $RPM_BUILD_ROOT/usr/bin/pythonpoint

chmod 0755 $RPM_BUILD_ROOT%{py_sitedir}/reportlab/tools/py2pdf/py2pdf.py
ln -sf ../..%{py_sitedir}/reportlab/tools/py2pdf/py2pdf.py $RPM_BUILD_ROOT/usr/bin/py2pdf

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
/usr/bin/pythonpoint
/usr/bin/py2pdf

%changelog

* Sun Oct 07 2007 - joe_morris@ntm.org
- build for openSUSE 10.3

* Tue Jul 31 2007 - joe_morris@ntm.org
- Update to 2_1

* Tue Nov 04 2003 - James Oakley <jfunk@funktronics.ca> - 1.18-1
- Update
- Build for SUSE 9.0

* Mon May 26 2003 - James Oakley <jfunk@funktronics.ca> - 1.17-1
- Initial release
